package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

public enum TimeTypeEnum {
    按月(0, "按月"),
    按季度(1, "按季度"),
    按年(2, "按年");
    private Integer value;
    private String desc;

    TimeTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static TimeTypeEnum getByValue(Integer value) {
        for (TimeTypeEnum timeTypeEnum : TimeTypeEnum.values()) {
            if (timeTypeEnum.getValue() == value) {
                return timeTypeEnum;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (TimeTypeEnum item : TimeTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}
